// ---------------------------------------------------------- 
//  (C)1994 Institute for New Generation Computer Technology 
//      (Read COPYRIGHT for detailed information.) 
//-----------------------------------------------------------

#define XX 100
static double ScoreMatrix[26][26]=
{
/*
  A  B  C  D  E  F  G  H  I  J  K  L  M  N  O  P  Q  R  S  T  U  V  W  X  Y  Z
*/
{-2, 0, 2, 0, 0, 4,-1, 1, 1,XX, 1, 2, 1, 0,XX,-1, 0, 2,-1,-1,XX, 0, 6, 0, 3, 0},/* A */
{ 0,-2, 4,-3,-2, 5, 0,-1, 2,XX,-1, 3, 2,-2,XX, 1,-1, 1, 0, 0,XX, 2, 5, 0, 3,-2},/* B */
{ 2, 4,-12,5, 5, 4, 3, 3, 2,XX, 5, 6, 5, 4,XX, 3, 5, 4, 0, 2,XX, 2, 8, 3, 0, 5},/* C */
{ 0,-3, 5,-4,-3, 6,-1,-1, 2,XX, 0, 4, 3,-2,XX, 1,-2, 1, 0, 0,XX, 2, 7, 1, 4,-3},/* D */
{ 0,-2, 5,-3,-4, 5, 0,-1, 2,XX, 0, 3, 2,-1,XX, 1,-2, 1, 0, 0,XX, 2, 7, 1, 4,-3},/* E */
{ 4, 5, 4, 6, 5,-9, 5, 2,-1,XX, 5,-2, 0, 4,XX, 5, 5, 4, 3, 3,XX, 1, 0, 2,-7, 5},/* F */
{-1, 0, 3,-1, 0, 5,-5, 2, 3,XX, 2, 4, 3, 0,XX, 1, 1, 3,-1, 0,XX, 1, 7, 1, 5, 1},/* G */
{ 1,-1, 3,-1,-1, 2, 2,-6, 2,XX, 0, 2, 2,-2,XX, 0,-3,-2, 1, 1,XX, 2, 3, 1, 0,-2},/* H */
{ 1, 2, 2, 2, 2,-1, 3, 2,-5,XX, 2,-2,-2, 2,XX, 2, 2, 2, 1, 0,XX,-4, 5, 1, 1, 2},/* I */
{XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX},/* J */
{ 1,-1, 5, 0, 0, 5, 2, 0, 2,XX,-5, 3, 0,-1,XX, 1,-1,-3, 0, 0,XX, 2, 3, 1, 4, 0},/* K */
{ 2, 3, 6, 4, 3,-2, 4, 2,-2,XX, 3,-6,-4, 3,XX, 3, 2, 3, 3, 2,XX,-2, 2, 1, 1, 3},/* L */
{ 1, 2, 5, 3, 2, 0, 3, 2,-2,XX, 0,-4,-6, 2,XX, 2, 1, 0, 2, 1,XX,-2, 4, 1, 2, 2},/* M */
{ 0,-2, 4,-2,-1, 4, 0,-2, 2,XX,-1, 3, 2,-2,XX, 1,-1, 0,-1, 0,XX, 2, 4, 0, 2,-1},/* N */
{XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,-XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX},/* O */
{-1, 1, 3, 1, 1, 5, 1, 0, 2,XX, 1, 3, 2, 1,XX,-6, 0, 0,-1, 0,XX, 1, 6, 1, 5, 0},/* P */
{ 0,-1, 5,-2,-2, 5, 1,-3, 2,XX,-1, 2, 1,-1,XX, 0,-4,-1, 1, 1,XX, 2, 5, 1, 4,-3},/* Q */
{ 2, 1, 4, 1, 1, 4, 3,-2, 2,XX,-3, 3, 0, 0,XX, 0,-1,-6, 0, 1,XX, 2,-2, 1, 4, 0},/* R */
{-1, 0, 0, 0, 0, 3,-1, 1, 1,XX, 0, 3, 2,-1,XX,-1, 1, 0,-2,-1,XX, 1, 2, 0, 3, 0},/* S */
{-1, 0, 2, 0, 0, 3, 0, 1, 0,XX, 0, 2, 1, 0,XX, 0, 1, 1,-1,-3,XX, 0, 5, 0, 3, 1},/* T */
{XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX,XX},/* U */
{ 0, 2, 2, 2, 2, 1, 1, 2,-4,XX, 2,-2,-2, 2,XX, 1, 2, 2, 1, 0,XX,-4, 6, 1, 2, 2},/* V */
{ 6, 5, 8, 7, 7, 0, 7, 3, 5,XX, 3, 2, 4, 4,XX, 6, 5,-2, 2, 5,XX, 6,-17,4, 0, 6},/* W */
{ 0, 0, 3, 1, 1, 2, 1, 1, 1,XX, 1, 1, 1, 0,XX, 1, 1, 1, 0, 0,XX, 1, 4, 1, 2, 1},/* X */
{ 3, 3, 0, 4, 4,-7, 5, 0, 1,XX, 4, 1, 2, 2,XX, 5, 4, 4, 3, 3,XX, 2, 0, 2,-10,4},/* Y */
{ 0,-2, 5,-3,-3, 5, 1,-2, 2,XX, 0, 3, 2,-1,XX, 0,-3, 0, 0, 1,XX, 2, 6, 1, 4,-3} /* Z */
};

